<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="OperationList.aspx.cs" Inherits="CLIP.eForm.Consent.Web.OperationList" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>--%>
    <title>수술명</title>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        function selectRow(msgReturn)
        {
            var osObject = getOsObject();
            osObject.SetControlValue('UP_DX_NM', msgReturn);            
            //osObject.SetPopupResult(msgReturn);
            osObject.OkClose();
        }

        function getOsObject() {
            var strOs = OSCheck();

            var result;
            if (strOs == "Android") {
                result = window.android;
            }
            else if (strOs == "Windows") {
                result = window.external;
            }

            return result;
        }

        function OSCheck() {
            var playerOS = 'dont know';
            if (navigator.userAgent.match(/iPhone|iPad/gi)) {
                playerOS = 'iOS';
            }
            else if (navigator.userAgent.match(/Android/gi)) {
                playerOS = 'Android';
            }
            else if (navigator.userAgent.match(/Windows/gi)) {
                playerOS = 'Windows';
            }
            else if (navigator.userAgent.match(/Linux/gi)) {
                playerOS = 'Linux';
            }
            if (navigator.userAgent.match(/OSX/gi)) {
                playerOS = 'Mac OS';
            }
            return playerOS;
        }

        function Cancel() {
            var osObject = getOsObject();
            osObject.CancelClose();
        }
    </script>
    <style>
		table {border-collapse:collapse; border-spacing:0; empty-cells:show;}
		.data_table01{width:100%;}
		table.data_table01{border-top:1px solid #c3c3c3; border-left: 1px solid #c3c3c3; font-family: dotum; font-size: 14px;}
		.data_table01 tr th{padding:5px 10px 5px; color:#666;  line-height:25px; text-align:left; font-weight:bold;  background: #e9e9e9; text-align:center;}
		.data_table01 tr td{padding:5px 7px 5px; background: #fff; color:#6d6d6d; line-height:25px; font-weight:bold; cursor:pointer; }
		.data_table01 th {border-bottom: 1px solid #c3c3c3; border-right: 1px solid #c3c3c3;}
		.data_table01 td {border-bottom: 1px solid #c3c3c3; border-right: 1px solid #c3c3c3;}
		.data_table01 td.center{padding-left:0; padding-right:0; text-align:center;}
	</style>
</head>
<body>
    <form id="form1" runat="server">
        <div id="dataDiv">
             <asp:Repeater ID="opList" runat="server">
                <HeaderTemplate>
                    <table id="dataTable" class="data_table01">
						<colgroup>
							<col width="80%" /> 
						</colgroup>
						<tr>
							<th>수술명</th>
						</tr>
                </HeaderTemplate>
                <ItemTemplate>
						<tr onclick="selectRow('<%# Container.DataItem.ToString() %>')">
							<td class="left">
								<asp:Label runat="server" ID="Label1" Text='<%# Container.DataItem.ToString() %>' />
							</td
						</tr>
                </ItemTemplate>
                <AlternatingItemTemplate>
						<tr onclick="selectRow('<%# Container.DataItem.ToString() %>')">
							<td class="left">
								<asp:Label runat="server" ID="Label1" Text='<%# Container.DataItem.ToString() %>' />
							</td>
						</tr>
                </AlternatingItemTemplate>
                <FooterTemplate>
					</table>
                </FooterTemplate>
            </asp:Repeater>
        </div>
    </form>
    <script>
        function loadEnd() {
            if (document.getElementById("dataTable") == null || document.getElementById("dataTable") == undefined) {
                document.getElementById("dataDiv").innerHTML = "<table class='data_table01'><tr><td  height='100' align='center'>조회된 데이터가 없습니다.</td></tr></table>";
            }
        }
        loadEnd();
    </script>
</body>
</html>
